package com.memorynotfound.quartz;

import org.quartz.*;
import org.quartz.impl.StdSchedulerFactory;

import static org.quartz.CronScheduleBuilder.cronSchedule;
import static org.quartz.TriggerBuilder.newTrigger;

public class SimpleTriggerProgram {

    public static void main(String... args) throws SchedulerException {

        // create job
        JobDetail job = JobBuilder.newJob(BakeWaffles.class)
                .withIdentity("waffleJob", "foodGroup")
                .build();

        // create trigger
        // Build a trigger that will fire every minute starting now
        CronTrigger trigger = newTrigger()
                .withIdentity("waffleTrigger", "foodGroup")
                .withSchedule(cronSchedule("0 0/1 * * * ?"))
                .build();

        // schedule it
        Scheduler scheduler = new StdSchedulerFactory().getScheduler();
        scheduler.start();
        scheduler.scheduleJob(job, trigger);
    }
}
